//------------------------------------------------------------------------------
// function to display help 
//------------------------------------------------------------------------------
void
usage (char *bn)
{
  printf ("usage :\n\n");
  printf ("smartpbk pbk_file                 # pbk to plain text\n");
  printf ("smartpbk pbk_file template_file   # pbk to text using template file\n");
  printf ("\n(c) 2003 Marc BERLIOUX <lxdevs@berlioux.com>\n");
}
//---------------------------------------------------------------------------
// function to display plain text datas
//---------------------------------------------------------------------------
void
display_data ()
{
  int i;
  printf ("%s\n", name_str);
  printf ("%s\n", phone_str);
  if (adrsize != 0)
    {
      for (i = 0; i < adrsize + 1; i++)
	{
	  if (address_str[i] == 0)
	    {
	      printf ("\n");
	    }
	  else
	    {
	      printf ("%c", address_str[i]);
	    }
	}
    }
  printf ("\n");
}
//---------------------------------------------------------------------------
// function to display header according to tpl file
//---------------------------------------------------------------------------
void
display_header (char *fn)
{
  FILE *tplf;
  int h=0;
  if ((tplf = fopen (fn, "rb")) == NULL)
    {
      printf ("template file %s can't be open\n", fn);
      exit (1);
    }
  clear_work_string ();
  while (fgets (work_string, 81, tplf))
    {
      if (work_string[strlen (work_string) - 1] == 0x0a)
	{
	  work_string[strlen (work_string) - 1] = 0;
	}
      if (work_string[strlen (work_string) - 1] == 0x0d)
	{
	  work_string[strlen (work_string) - 1] = 0;
	}
      if (!strcmp (work_string, "</pbk-header>"))
	{
	h = 0;
	}
      if (h)
	{
	  if (strlen (work_string) > 0)
	    {
	      printf ("%s", work_string);
	    }
	  else
	    {
	      printf ("\n");
	    }
	}
      if (!strcmp (work_string, "<pbk-header>"))
	{
	h = 1;
	}
clear_work_string();
    }
  fclose (tplf);
}
//---------------------------------------------------------------------------
// function to display fields according to tpl file
//---------------------------------------------------------------------------
void
display_tpl_data (char *fn)
{
  int f = 0,h = 0;
  FILE *tplf;
  if ((tplf = fopen (fn, "rb")) == NULL)
    {
      printf ("template file %s can't be open\n", fn);
      exit (1);
    }
  clear_work_string ();
  while (fgets (work_string, 81, tplf))
    {
      if (work_string[strlen (work_string) - 1] == 0x0a)
	{
	  work_string[strlen (work_string) - 1] = 0;
	}
      if (work_string[strlen (work_string) - 1] == 0x0d)
	{
	  work_string[strlen (work_string) - 1] = 0;
	}
      if (!strcmp (work_string, "</pbk-body>"))
	{
	  h = 0;
	}
      if (h)
	{
	  if (!strcmp (work_string, "<pbk-pause>"))
	    {
	      getchar ();
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-fn>"))
	    {
	      printf ("%s", family_name);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-n1>"))
	    {
	      printf ("%s", names[0]);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-n2>"))
	    {
	      printf ("%s", names[1]);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-n3>"))
	    {
	      printf ("%s", names[2]);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-n4>"))
	    {
	      printf ("%s", names[3]);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-n5>"))
	    {
	      printf ("%s", names[4]);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-p1>"))
	    {
	      printf ("%s", phones[0]);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-p2>"))
	    {
	      printf ("%s", phones[1]);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-p3>"))
	    {
	      printf ("%s", phones[2]);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-p4>"))
	    {
	      printf ("%s", phones[3]);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-p5>"))
	    {
	      printf ("%s", phones[4]);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-aka>"))
	    {
	      printf ("%s", aka);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-day>"))
	    {
	      printf ("%s", day);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-mail>"))
	    {
	      printf ("%s", email);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-mail2>"))
	    {
	      printf ("%s", email2);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-mail3>"))
	    {
	      printf ("%s", email3);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-web>"))
	    {
	      printf ("%s", web);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-pgp>"))
	    {
	      printf ("%s", pgp);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-job>"))
	    {
	      printf ("%s", job);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-fax>"))
	    {
	      printf ("%s", fax);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-mob>"))
	    {
	      printf ("%s", mobile);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-addr>"))
	    {
	      printf ("%s", address);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-cmnt>"))
	    {
	      printf ("%s", comments);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-post>"))
	    {
	      printf ("%s", postalcode);
	      f = 1;
	    }
	  if (!strcmp (work_string, "<pbk-city>"))
	    {
	      printf ("%s", city);
	      f = 1;
	    }
	  if (f == 0)
	    {
	      if (strlen (work_string) > 0)
		{
		  printf ("%s", work_string);
		}
	      else
		{
		  printf ("\n");
		}
	    }
	}
      if (!strcmp (work_string, "<pbk-body>"))
	{
	  h = 1;
	}
      f = 0;
      clear_work_string ();
    }
  fclose (tplf);
}
//---------------------------------------------------------------------------
// function to display footer according to tpl file
//---------------------------------------------------------------------------
void
display_footer (char *fn)
{
  FILE *tplf;
  int h=0;
  if ((tplf = fopen (fn, "rb")) == NULL)
    {
      printf ("template file %s can't be open\n", fn);
      exit (1);
    }
  clear_work_string ();
  while (fgets (work_string, 81, tplf))
    {
      if (work_string[strlen (work_string) - 1] == 0x0a)
	{
	  work_string[strlen (work_string) - 1] = 0;
	}
      if (work_string[strlen (work_string) - 1] == 0x0d)
	{
	  work_string[strlen (work_string) - 1] = 0;
	}
      if (!strcmp (work_string, "</pbk-footer>"))
	{
	h = 0;
	}
      if (h)
	{
	  if (strlen (work_string) > 0)
	    {
	      printf ("%s", work_string);
	    }
	  else
	    {
	      printf ("\n");
	    }
	}
      if (!strcmp (work_string, "<pbk-footer>"))
	{
	h = 1;
	}
  clear_work_string ();
    }
  fclose (tplf);
}
